import { Component, Inject, OnInit } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';


/**************************  
 Created by Ajith A Pradeep
 Created on 21/03/2022
 **************************/


@Component({
  selector: 'app-time-out-dialog',
  templateUrl: './time-out-dialog.component.html',
  styleUrls: ['./time-out-dialog.component.scss']
})
export class TimeOutDialogComponent implements OnInit {

  constructor(
    public dialogRef: MatDialogRef<TimeOutDialogComponent>,
    @Inject(MAT_DIALOG_DATA) public data: any,
  ) { }

  ngOnInit(): void {
  }

  onNoClick(state): void {
    this.dialogRef.close({ data: state });
  }

}
